xcb_circulate_window(3)

NAME
xcb_circulate_window - Change window stacking order

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_circulate_window(xcb_connection_t *conn, uint8_t direction, xcb_window_t window);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

direction
    One of the following values:

    XCB_CIRCULATE_RAISE_LOWEST
        TODO: NOT YET DOCUMENTED.

    XCB_CIRCULATE_LOWER_HIGHEST
        TODO: NOT YET DOCUMENTED.

window
    The window to raise/lower (depending on direction).

DESCRIPTION
If direction is XCB_CIRCULATE_RAISE_LOWEST, the lowest mapped child (if any) will be raised to the top of the stack. If direction is XCB_CIRCULATE_LOWER_HIGHEST, the highest mapped child will be lowered to the bottom of the stack.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_circulate_window_checked. See xcb-requests(3) for details.

ERRORS

xcb_value_error_t
    The specified direction is invalid.

xcb_window_error_t
    The specified window does not exist.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.